layui.extend({
    common    :   'js/common',
    region    :   'layui/lay/mymodules/region'
}).use(['jquery','layer','common','form','region'],function () {
    //  Jquery插件
    var $ = layui.jquery;
    //  弹窗插件
    var layer = layui.layer;
    //  引入表单插件
    var form = layui.form;
    //  引入公共模块
    var common = layui.common;
    //  页面元素
    var $node = {
        //  省市区表单
        provinceInput   :   $('input[name="regionProvince"]'),

        cityInput       :   $('input[name="regionCity"]'),

        areaInput       :   $('input[name="regionArea"]'),

        regionInput     :   $('#region')

    };

    //  初始化省市区
    layui.region.init({
        //  元素节点
        elem        :  '#region_body',
        //  触发此元素时显示
        trigger     :   '#region',
        //  选中省的回调
        provinceCallbackFn  :   function(data){
            var address = data.province.text;
            $node.regionInput.val(address);
            $node.provinceInput.val(data.province.id);
        },
        //  选中市的回调
        cityCallbackFn  :   function(data){
            var address = data.province.text + '-' + data.city.text;
            $node.regionInput.val(address);
            $node.cityInput.val(data.city.id);
        },
        //  选中区域的回调
        areaCallbackFn  :   function(data){
            var address = data.province.text + '-' + data.city.text + '-' +data.county.text;
            $node.regionInput.val(address);
            $node.areaInput.val(data.county.id);
        },
        //  关闭时的回调
        hideCallbackFn  :   function(data){
        },
        //清空回调
        clearFn : function(){
            $node.regionInput.val('');
            $node.provinceInput.val('');
            $node.cityInput.val('');
            $node.areaInput.val('');
        }
    });

    //监听提交
    form.on('submit(submit_button)', function(data){
        common.sendAsyncRequest("/implement/integrated/service/edit",'POST',data.field,callbackFn);
    });

    //回调函数
    function callbackFn(result) {
        if(result.data){
            layer.msg("修改成功",{
                time: 500
                ,shade : [0.1 , '#000' , true]
            },function () {
                //获取当前弹窗出层的名字
                var index = parent.layer.getFrameIndex(window.name);
                //关闭弹窗层
                parent.layer.close(index);
                // 父页面刷新
                parent.location.reload();
            });
        }else {//添加失败
            layer.msg("修改失败");
        }
    }

    //取消按钮
    $('#cancel_btn').on("click",function(){
        if (parent) {
            //  关闭当前页面弹窗
            var index = parent.layer.getFrameIndex(window.name);
            parent.layer.close(index);
        }else {
            //  关闭页面
            window.close();
        }
    });
});